Bug 183342 - On FC4 network repeatedly "goes to sleep"
On FC4 network repeatedly "goes to sleep"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 08:16 EST by William W. Austin
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 15:52:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William W. Austin 2006-02-28 08:16:28 EST
Description of problem:
Periodically both network cards apparently go to sleep under FC4 requiring a
"service network restart" to get them back.  (And eventually this fails,
requiring a full systemn reboot).
This problem exists under at least kernels 2.6.11-1.1369_FC4, 2.6.12-1.1456_FC4,
and 2.6.15-1.1831_FC4


Version-Release number of selected component (if applicable): ?


How reproducible: Happens 5-10 times/day (probably more often - system not used
that heavily so far).


Steps to Reproduce:
1. Boot
2. Wait a while
3. Network is totally unresponsive (and must be restarted)
  
Actual results:
Network is totally unresponsive (and must be restarted)


Expected results:
Network is available

Additional info:
This system has two nics on the motherboard:
1) Intel 82540EM (100Mb/s network) - talks to DSL modem
2) nVidia nForce (1Gb/s network) - talks to local network.

I recently upgraded to FC4 from FC3 (adding new drive) and can still boot FC3 -
this problem occurs only under FC4 (and network parameters are the same between
the two releases) - under FC3 it is rock steady.

When I boot the system, both networks are available.  The 100MB network (card1)
goes away first and eventually the 1GB network (card 2).  If I restart the
network (service network restart), then both come back alive after a few seconds
pretty much normally; however, eventually even this fails, requiring a full
system reboot.  I am not running network manager.

Here are some typical messages from /var/log/messages about eth0 (yes it happens
this frequently):

Feb 28 07:25:58 dsl027-161-055 kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Feb 28 07:25:59 dsl027-161-055 kernel: e1000: eth0: e1000_watchdog_task: NIC
Link is Up 100 Mbps Full Duplex
Feb 28 07:25:59 dsl027-161-055 kernel: ADDRCONF(NETDEV_CHANGE): eth0: link
becomes ready

Feb 28 07:32:46 dsl027-161-055 kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Feb 28 07:32:47 dsl027-161-055 kernel: e1000: eth0: e1000_watchdog_task: NIC
Link is Up 100 Mbps Full Duplex
Feb 28 07:32:47 dsl027-161-055 kernel: ADDRCONF(NETDEV_CHANGE): eth0: link
becomes ready

Feb 28 07:36:41 dsl027-161-055 kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Feb 28 07:36:42 dsl027-161-055 kernel: e1000: eth0: e1000_watchdog_task: NIC
Link is Up 100 Mbps Full Duplex
Feb 28 07:36:42 dsl027-161-055 kernel: ADDRCONF(NETDEV_CHANGE): eth0: link
becomes ready

From "dmseg | grep eth":

> ADDRCONF(NETDEV_UP): eth0: link is not ready
(many repetitions of the eth0 message)
(no messages referencing eth1)

In most cases the network can be restarted.  However, eventually this fails and
the machine must be rebooted.  (I did a search on bugzilla and did not find
anything; a similar problem was discussed on the fedora-list (IIRC), but I
couldn't find it.

The problem seems to *start* when there is no network activity - I did a set of
long downloads (3+hours) and never had a problem.  5 minutes after the transfers
finished, it occurred again.

Other details:

All current updates applied to system as of 2005-02-17

MB: Gigabyte 7NNXP (Both network "cards" built into MB)
CPU: AMD Athlon(tm) XP 2500+
RAM: 1GB PC3200
4 HD's (2 sata, 1 scsi, 1 ide)
(other details omitted as seeming unrelated)
Comment 1 Phil Knirsch 2006-02-28 08:22:59 EST
Do you have any BIOS controlled power saving things running, especially related
to IRQs resp. network?

Also, this sounds more like either a kernel or network problem, so i'm
reassinging it to kernel (as the component basesystem relates to the package
basesystem which defines the a Red Hat Linux system). 

Read ya, Phil
Comment 2 Dave Jones 2006-09-16 22:23:21 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 14:33:19 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 William W. Austin 2006-10-31 08:06:11 EST
I have upgraded to FC5 and this particular problem appears to have been solved.
So I'd say close it as I can no longer reproduce the problem.

Note You need to log in before you can comment on or make changes to this bug.